{% extends "base.html" %} {% load static %} {% load django_tables2 %} {% load render_table from django_tables2 %} {% block internal_css %}
<link rel="stylesheet" href="{% static 'css/importDNANexus.css' %}">
<link rel="stylesheet" href="{% static 'css/table.css' %}"> {% endblock %} {% block external_js %}
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %} {% block internal_js %}

<script src="{% static 'js/importDNANexus.js' %}"></script>
<script src="{% static 'js/edit.min.js' %}"></script>
{% endblock %} {% block content %}

<body>
  <div class="container-fluid">

    <div>
      <div class="card card-body two_col">

        <label for="LogFileUpload">Upload Log File for Parsing:</label>
        <label class="custom-file">
            <input type="file" id="logFileUpload" value="Upload Log File for Parsing">
            <span class="custom-file-control"></span>
        </label>
        <label for="customLogFileUpload">Upload Custom Log File for Parsing:</label>
        <label class="custom-file">
            <input type="file" id="customLogFileUpload" value="">
            <span class="custom-file-control"></span>
        </label>
        <label for="logFileUpdate">Update Annotations:</label>
        <label class="custom-file">
            <input type="file" id="logFileUpdate" value="">
            <span class="custom-file-control"></span>
        </label>
        <label for="FileUpdate">Update Files:</label>
        <label class="custom-file">
            <input type="file" id="FileUpdate" value="">
            <span class="custom-file-control"></span>
        </label>
      </div>
      <div class="counts card mt-3"></div>
      <div class="btn-group float-right mt-1">
        <button class="btn btn-primary" id="update_button" disabled>Start Update</button>
        <button class="btn btn-primary" id="upload_button" disabled>Start Upload</button>
      </div>
    </div>

    <div class="card  mt-5">
      <div class="card-header">
        Update file paths and file names based on series IDs:
      </div>
      <div class="card-body">
        <textarea class="form-control " rows="5" placeholder="Enter comma-separated series IDs" id="series_ids"></textarea>
      </div>
    </div>
    <div class="float-right mt-1">
      <button class="btn btn-danger" id="path_tmp_update_button" disabled>Remove TMP Files</button>
      <button class="btn btn-outline-primary" id="path_update_button" disabled>Update Files</button>
    </div>

    <div class="freeze-card card  mt-5">
      <div class="card-header">
        Add freeze version to data IDs:
      </div>
      <div class="card-body">
        <div class="input-group mb-3  w-25">
          <div class="input-group-prepend">
            <span class="input-group-text">freeze Version</span>
          </div>
          <input type="text" name="" class ="form-control" id="freeze_tag" placeholder="freeze-0x">

        </div>

        <textarea class="form-control " rows="5" placeholder="Enter comma-separated data IDs" id="freeze_data_ids"></textarea>
      </div>
    </div>
    <div class="float-right mt-1">

      <button class="btn btn-primary" id="add_freeze_tag" disabled>Add version</button>
    </div>

    <div class="card text-white bg-danger mt-5">
      <div class="card-header delete-ids">
        Delete by data ID:
      </div>
      <div class="card-body">
        <textarea class="form-control " rows="10" placeholder="Enter comma-separated data IDs" id="delete_data_ids"></textarea>
      </div>
    </div>
    <div class="float-right mt-1">

      <button class="btn btn-outline-danger" id="delete_button" disabled>Delete Files</button>
      <button class="btn btn-danger" id="really_delete_button" disabled>Really Delete Files</button>
    </div>

    <div class="card text-white bg-danger mt-5">
      <div class="card-header delete-paths">
        Delete by file path:
      </div>
      <div class="card-body">
        <textarea class="form-control " rows="10" placeholder="Enter comma-separated file paths" id="delete_file_paths"></textarea>
      </div>
    </div>
    <div class="float-right mt-1">

      <button class="btn btn-outline-danger" id="delete_files_button" disabled>Delete Files</button>
      <button class="btn btn-danger" id="really_delete_files_button" disabled>Really Delete Files</button>
    </div>

    <table class="table table-condensed">

    </table>

  </div>
</body>
{% endblock %}
